#-----------------------------------------------------------------------------
# asio only ships headers, so no debuginfo package is needed
%global		debug_package	%{nil}
%global		sname		dbus-c++
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	asio
Version		:	1.18.2
Release		:	17.0.10.rel%{?dist}
Summary		:	C++ Neworking library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Boost Software License
URL		:	http://think-async.com/Asio/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	boost

#-----------------------------------------------------------------------------
%description
'%{name}' is a cross-platform C++ library for network and
low-level I/O programming that provides developers with a
consistent asynchronous model using a modern C++ approach.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_includedir}/%{name}.hpp
%{_includedir}/%{name}/detail/*.hpp
%{_includedir}/%{name}/detail/impl/*.{hpp,ipp}
%{_includedir}/%{name}/execution/*.hpp
%{_includedir}/%{name}/execution/detail/*.hpp
%{_includedir}/%{name}/execution/impl/*.ipp
%{_includedir}/%{name}/experimental/*.hpp
%{_includedir}/%{name}/experimental/impl/*.hpp
%{_includedir}/%{name}/generic/*.hpp
%{_includedir}/%{name}/generic/detail/*.hpp
%{_includedir}/%{name}/generic/detail/impl/*.ipp
%{_includedir}/%{name}/impl/*.{hpp,ipp}
%{_includedir}/%{name}/ip/*.hpp
%{_includedir}/%{name}/ip/impl/*.{hpp,ipp}
%{_includedir}/%{name}/ip/detail/*.hpp
%{_includedir}/%{name}/ip/detail/impl/*.ipp
%{_includedir}/%{name}/local/*.hpp
%{_includedir}/%{name}/local/detail/*.hpp
%{_includedir}/%{name}/local/detail/impl/*.ipp
%{_includedir}/%{name}/posix/*.hpp
%{_includedir}/%{name}/ssl/*.hpp
%{_includedir}/%{name}/ssl/detail/*.hpp
%{_includedir}/%{name}/ssl/detail/impl/*.ipp
%{_includedir}/%{name}/ssl/impl/*.{hpp,ipp}
%{_includedir}/%{name}/traits/*.hpp
%{_includedir}/%{name}/ts/*.hpp
%{_includedir}/%{name}/windows/*.hpp
%{_includedir}/%{name}/*.hpp

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
autoconf
./configure						\
        --prefix %{_prefix}				\
        --sysconfdir %{_sysconfdir}			\
        --includedir %{_includedir}			\
	--bindir %{_bindir}				\
	--libdir %{_libdir}				\
	--datadir %{_datadir}				\
	--libexecdir %{_libexecdir}			\
	--docdir %{_defaultdocdir}/%{name}-%{version}	\
	--enable-boost-coroutine			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR="%{buildroot}"				\
	install

#-----------------------------------------------------------------------------
%changelog
